MuleHierarchicalBeanDefinitionParserDelegate (Mule ESB 2.2.1 API)
Keywords: org.mule.config.spring.MuleHierarchicalBeanDefinitionParserDelegate class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring
Class MuleHierarchicalBeanDefinitionParserDelegate

    java.lang.Object
      org.springframework.beans.factory.xml.BeanDefinitionParserDelegate
          org.mule.config.spring.MuleHierarchicalBeanDefinitionParserDelegate

    public class MuleHierarchicalBeanDefinitionParserDelegate

extends org.springframework.beans.factory.xml.BeanDefinitionParserDelegate

This parser enables Mule to parse heirarchical bean structures using spring Namespace handling There are 4 base DefinitionParsers supplied in Mule that most Parsers will extend from, these are `AbstractChildDefinitionParser` `AbstractMuleBeanDefinitionParser` `ChildDefinitionParser` `MuleOrphanDefinitionParser`

Field Summary
`static String` | `BEANS`
`protected static Log` | `logger`
`static String` | `MULE_FORCE_RECURSE`
`static String` | `MULE_NO_RECURSE`
`static String` | `MULE_NO_REGISTRATION`
`static String` | `MULE_POST_CHILDREN`
`static String` | `MULE_REPEAT_PARSE`

Fields inherited from class org.springframework.beans.factory.xml.BeanDefinitionParserDelegate
`ABSTRACT_ATTRIBUTE, ARG_TYPE_ELEMENT, ARG_TYPE_MATCH_ATTRIBUTE, AUTOWIRE_ATTRIBUTE, AUTOWIRE_AUTODETECT_VALUE, AUTOWIRE_BY_NAME_VALUE, AUTOWIRE_BY_TYPE_VALUE, AUTOWIRE_CANDIDATE_ATTRIBUTE, AUTOWIRE_CONSTRUCTOR_VALUE, BEAN_ELEMENT, BEAN_NAME_DELIMITERS, BEAN_REF_ATTRIBUTE, BEANS_NAMESPACE_URI, CLASS_ATTRIBUTE, CONSTRUCTOR_ARG_ELEMENT, DEFAULT_AUTOWIRE_ATTRIBUTE, DEFAULT_AUTOWIRE_CANDIDATES_ATTRIBUTE, DEFAULT_DEPENDENCY_CHECK_ATTRIBUTE, DEFAULT_DESTROY_METHOD_ATTRIBUTE, DEFAULT_INIT_METHOD_ATTRIBUTE, DEFAULT_LAZY_INIT_ATTRIBUTE, DEFAULT_MERGE_ATTRIBUTE, DEFAULT_VALUE, DEPENDENCY_CHECK_ALL_ATTRIBUTE_VALUE, DEPENDENCY_CHECK_ATTRIBUTE, DEPENDENCY_CHECK_OBJECTS_ATTRIBUTE_VALUE, DEPENDENCY_CHECK_SIMPLE_ATTRIBUTE_VALUE, DEPENDS_ON_ATTRIBUTE, DESCRIPTION_ELEMENT, DESTROY_METHOD_ATTRIBUTE, ENTRY_ELEMENT, FACTORY_BEAN_ATTRIBUTE, FACTORY_METHOD_ATTRIBUTE, ID_ATTRIBUTE, IDREF_ELEMENT, INDEX_ATTRIBUTE, INIT_METHOD_ATTRIBUTE, KEY_ATTRIBUTE, KEY_ELEMENT, KEY_REF_ATTRIBUTE, KEY_TYPE_ATTRIBUTE, LAZY_INIT_ATTRIBUTE, LIST_ELEMENT, LOCAL_REF_ATTRIBUTE, LOOKUP_METHOD_ELEMENT, MAP_ELEMENT, MERGE_ATTRIBUTE, META_ELEMENT, NAME_ATTRIBUTE, NULL_ELEMENT, PARENT_ATTRIBUTE, PARENT_REF_ATTRIBUTE, PRIMARY_ATTRIBUTE, PROP_ELEMENT, PROPERTY_ELEMENT, PROPS_ELEMENT, QUALIFIER_ATTRIBUTE_ELEMENT, QUALIFIER_ELEMENT, REF_ATTRIBUTE, REF_ELEMENT, REPLACED_METHOD_ELEMENT, REPLACER_ATTRIBUTE, SCOPE_ATTRIBUTE, SET_ELEMENT, SINGLETON_ATTRIBUTE, TRUE_VALUE, TYPE_ATTRIBUTE, VALUE_ATTRIBUTE, VALUE_ELEMENT, VALUE_REF_ATTRIBUTE, VALUE_TYPE_ATTRIBUTE`

Constructor Summary
`MuleHierarchicalBeanDefinitionParserDelegate(org.springframework.beans.factory.xml.XmlReaderContext readerContext, org.springframework.beans.factory.xml.DefaultBeanDefinitionDocumentReader spring)`

Method Summary
`protected String` | `generateChildBeanName(Element e)`
`protected org.springframework.beans.factory.config.BeanDefinition` | `handleSpringElements(Element element, org.springframework.beans.factory.config.BeanDefinition parent)`
`org.springframework.beans.factory.config.BeanDefinition` | `parseCustomElement(Element element, org.springframework.beans.factory.config.BeanDefinition parent)`
`protected void` | `registerBean(Element ele, org.springframework.beans.factory.config.BeanDefinition bd)`
`protected void` | `registerBeanDefinitionHolder(org.springframework.beans.factory.config.BeanDefinitionHolder bdHolder)`
`static void` | `setFlag(org.springframework.beans.factory.config.BeanDefinition bean, String flag)`
`static boolean` | `testFlag(org.springframework.beans.factory.config.BeanDefinition bean, String flag)`

Methods inherited from class org.springframework.beans.factory.xml.BeanDefinitionParserDelegate
`buildTypedStringValue, buildTypedStringValueForMap, checkNameUniqueness, createBeanDefinition, decorateBeanDefinitionIfRequired, decorateBeanDefinitionIfRequired, error, error, error, extractSource, getAutowireCandidatePatterns, getAutowireMode, getBeanDefinitionDefaults, getDefaults, getDependencyCheck, getReaderContext, initDefaults, isDefaultNamespace, parseBeanDefinitionAttributes, parseBeanDefinitionElement, parseBeanDefinitionElement, parseBeanDefinitionElement, parseConstructorArgElement, parseConstructorArgElements, parseCustomElement, parseIdRefElement, parseKeyElement, parseListElement, parseLookupOverrideSubElements, parseMapElement, parseMergeAttribute, parseMetaElements, parsePropertyElement, parsePropertyElements, parsePropertySubElement, parsePropertySubElement, parsePropertyValue, parsePropsElement, parseQualifierElement, parseQualifierElements, parseReplacedMethodSubElements, parseSetElement, parseValueElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BEANS

    public static final String BEANS

See Also:
  Constant Field Values

### MULE_REPEAT_PARSE

    public static final String MULE_REPEAT_PARSE

See Also:
  Constant Field Values

### MULE_NO_RECURSE

    public static final String MULE_NO_RECURSE

See Also:
  Constant Field Values

### MULE_FORCE_RECURSE

    public static final String MULE_FORCE_RECURSE

See Also:
  Constant Field Values

### MULE_NO_REGISTRATION

    public static final String MULE_NO_REGISTRATION

See Also:
  Constant Field Values

### MULE_POST_CHILDREN

    public static final String MULE_POST_CHILDREN

See Also:
  Constant Field Values

### logger

    protected static final Log logger

Constructor Detail

### MuleHierarchicalBeanDefinitionParserDelegate

    public MuleHierarchicalBeanDefinitionParserDelegate(org.springframework.beans.factory.xml.XmlReaderContext readerContext,
                                                        org.springframework.beans.factory.xml.DefaultBeanDefinitionDocumentReader spring)

Method Detail

### parseCustomElement

    public org.springframework.beans.factory.config.BeanDefinition parseCustomElement(Element element,
                                                                                      org.springframework.beans.factory.config.BeanDefinition parent)

  Overrides:
    `parseCustomElement` in class `org.springframework.beans.factory.xml.BeanDefinitionParserDelegate`

### handleSpringElements

    protected org.springframework.beans.factory.config.BeanDefinition handleSpringElements(Element element,
                                                                                           org.springframework.beans.factory.config.BeanDefinition parent)

### registerBean

    protected void registerBean(Element ele,
                                org.springframework.beans.factory.config.BeanDefinition bd)

### registerBeanDefinitionHolder

    protected void registerBeanDefinitionHolder(org.springframework.beans.factory.config.BeanDefinitionHolder bdHolder)

### generateChildBeanName

    protected String generateChildBeanName(Element e)

### setFlag

    public static void setFlag(org.springframework.beans.factory.config.BeanDefinition bean,
                               String flag)

### testFlag

    public static boolean testFlag(org.springframework.beans.factory.config.BeanDefinition bean,
                                   String flag)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.